# Uses of Interface
org.eclipse.birt.report.engine.api.IReportDocumentInfo

Packages that use IReportDocumentInfo
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IReportDocumentInfo in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api with parameters of type IReportDocumentInfo
Modifier and Type
Method
Description
`void`
IPageHandler.`onPage(int pageNumber, boolean checkpoint, IReportDocumentInfo doc)`